Bug 16900 - Hold suspend button incorrectly styled in patron holds list
Summary: Hold suspend button incorrectly styled in patron holds list
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-11 19:03 UTC by Owen Leonard
Modified: 2017-12-07 22:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16900 - Hold suspend button incorrectly styled in patron holds list (2.29 KB, patch)
2016-07-11 19:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16900 - Hold suspend button incorrectly styled in patron holds list (2.33 KB, patch)
2016-07-12 05:42 UTC, Arslan Farooq
Details | Diff | Splinter Review
[PASSED QA] Bug 16900 - Hold suspend button incorrectly styled in patron holds list (2.37 KB, patch)
2016-07-12 05:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-07-11 19:03:18 UTC
When viewing the 'holds' tab in circulation or on the patron detail page, the "suspend" link is incorrectly styled. It has a "btn-link" class, which is inconsistent with current guidelines. It also has Glyphicon icons instead of Font Awesome.
Comment 1 Owen Leonard 2016-07-11 19:09:06 UTC Comment hidden (obsolete)
Comment 2 Arslan Farooq 2016-07-12 05:42:06 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-07-12 05:53:43 UTC
Hm, it appears that the button of the suspend modal is an unusual blue. Apart from that observation, this works fine :)
Comment 4 Katrin Fischer 2016-07-12 05:55:58 UTC
Created attachment 53302 [details] [review]
[PASSED QA] Bug 16900 - Hold suspend button incorrectly styled in patron holds list

This patch updates the style of the suspend/resume button in the list of
holds displayed on the checkout page and on the patron detail page. The
button is now a Bootstrap-styled button with a Font Awesome icon.

To test, apply the patch and locate a patron who has holds.

- On the checkout page, view the 'Holds' tab and confirm that there is a
  correctly-styled 'Suspend' button for each hold.
- Verify that the button works correctly and looks correct when a hold
  has been suspended.

Signed-off-by: Arslan Farooq <arslanone@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Kyle M Hall 2016-07-15 15:07:01 UTC
Pushed to master for 16.11, thanks Owen!
Comment 6 Frédéric Demians 2016-08-01 13:40:47 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 7 Julian Maurice 2016-08-17 10:58:16 UTC
Not needed in 3.22.x